Index: protocols/oscar/auth.c
===================================================================
--- protocols/oscar/auth.c	(revision 8519f457c31139750b9f7497834ac90a57196d22)
+++ protocols/oscar/auth.c	(revision 75ad761cc229568e799659d6c6a623c4bc837ba4)
@@ -4,5 +4,5 @@
  */
 
-#include <aim.h> 
+#include <aim.h>
 
 #include "md5.h"
@@ -10,5 +10,5 @@
 static int aim_encode_password(const char *password, unsigned char *encoded);
 
-/* 
+/*
  * This just pushes the passed cookie onto the passed connection, without
  * the SNAC header or any of that.
@@ -23,9 +23,10 @@
 	aim_tlvlist_t *tl = NULL;
 
-	if (!(fr = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x0001, 4+2+2+AIM_COOKIELEN)))
+	if (!(fr = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x0001, 4 + 2 + 2 + AIM_COOKIELEN))) {
 		return -ENOMEM;
+	}
 
 	aimbs_put32(&fr->data, 0x00000001);
-	aim_addtlvtochain_raw(&tl, 0x0006, AIM_COOKIELEN, chipsahoy);	
+	aim_addtlvtochain_raw(&tl, 0x0006, AIM_COOKIELEN, chipsahoy);
 	aim_writetlvchain(&fr->data, &tl);
 	aim_freetlvchain(&tl);
@@ -48,6 +49,7 @@
 	aim_frame_t *fr;
 
-	if (!(fr = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x01, 4)))
+	if (!(fr = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x01, 4))) {
 		return -ENOMEM;
+	}
 
 	aimbs_put32(&fr->data, 0x00000001);
@@ -95,22 +97,23 @@
 	aim_frame_t fr;
 	aim_rxcallback_t userfunc;
-	
+
 	sess->flags &= ~AIM_SESS_FLAGS_SNACLOGIN;
 	sess->flags |= AIM_SESS_FLAGS_XORLOGIN;
 
 	fr.conn = conn;
-	
-	if ((userfunc = aim_callhandler(sess, conn, 0x0017, 0x0007)))
+
+	if ((userfunc = aim_callhandler(sess, conn, 0x0017, 0x0007))) {
 		userfunc(sess, &fr, "");
-
-	return 0;
-}
-
-/*
- * In AIM 3.5 protocol, the first stage of login is to request login from the 
- * Authorizer, passing it the screen name for verification.  If the name is 
- * invalid, a 0017/0003 is spit back, with the standard error contents.  If 
- * valid, a 0017/0007 comes back, which is the signal to send it the main 
- * login command (0017/0002). 
+	}
+
+	return 0;
+}
+
+/*
+ * In AIM 3.5 protocol, the first stage of login is to request login from the
+ * Authorizer, passing it the screen name for verification.  If the name is
+ * invalid, a 0017/0003 is spit back, with the standard error contents.  If
+ * valid, a 0017/0007 comes back, which is the signal to send it the main
+ * login command (0017/0002).
  *
  */
@@ -121,10 +124,12 @@
 	aim_tlvlist_t *tl = NULL;
 	struct im_connection *ic = sess->aux_data;
-	
-	if (!sess || !conn || !sn)
+
+	if (!sess || !conn || !sn) {
 		return -EINVAL;
-
-	if (g_ascii_isdigit(sn[0]) && set_getbool(&ic->acc->set, "old_icq_auth"))
+	}
+
+	if (g_ascii_isdigit(sn[0]) && set_getbool(&ic->acc->set, "old_icq_auth")) {
 		return goddamnicq(sess, conn, sn);
+	}
 
 	sess->flags |= AIM_SESS_FLAGS_SNACLOGIN;
@@ -132,11 +137,12 @@
 	aim_sendflapver(sess, conn);
 
-	if (!(fr = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, 10+2+2+strlen(sn))))
+	if (!(fr = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, 10 + 2 + 2 + strlen(sn)))) {
 		return -ENOMEM;
+	}
 
 	snacid = aim_cachesnac(sess, 0x0017, 0x0006, 0x0000, NULL, 0);
 	aim_putsnac(&fr->data, 0x0017, 0x0006, 0x0000, snacid);
 
-	aim_addtlvtochain_raw(&tl, 0x0001, strlen(sn), (guint8 *)sn);
+	aim_addtlvtochain_raw(&tl, 0x0001, strlen(sn), (guint8 *) sn);
 	aim_writetlvchain(&fr->data, &tl);
 	aim_freetlvchain(&tl);
@@ -152,13 +158,14 @@
 static int goddamnicq2(aim_session_t *sess, aim_conn_t *conn, const char *sn, const char *password)
 {
-	static const char clientstr[] = {"ICQ Inc. - Product of ICQ (TM) 2001b.5.17.1.3642.85"};
-	static const char lang[] = {"en"};
-	static const char country[] = {"us"};
+	static const char clientstr[] = { "ICQ Inc. - Product of ICQ (TM) 2001b.5.17.1.3642.85" };
+	static const char lang[] = { "en" };
+	static const char country[] = { "us" };
 	aim_frame_t *fr;
 	aim_tlvlist_t *tl = NULL;
 	guint8 *password_encoded;
 
-	if (!(password_encoded = (guint8 *) g_malloc(strlen(password))))
+	if (!(password_encoded = (guint8 *) g_malloc(strlen(password)))) {
 		return -ENOMEM;
+	}
 
 	if (!(fr = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x01, 1152))) {
@@ -170,7 +177,7 @@
 
 	aimbs_put32(&fr->data, 0x00000001);
-	aim_addtlvtochain_raw(&tl, 0x0001, strlen(sn), (guint8 *)sn);
+	aim_addtlvtochain_raw(&tl, 0x0001, strlen(sn), (guint8 *) sn);
 	aim_addtlvtochain_raw(&tl, 0x0002, strlen(password), password_encoded);
-	aim_addtlvtochain_raw(&tl, 0x0003, strlen(clientstr), (guint8 *)clientstr);
+	aim_addtlvtochain_raw(&tl, 0x0003, strlen(clientstr), (guint8 *) clientstr);
 	aim_addtlvtochain16(&tl, 0x0016, 0x010a); /* cliend ID */
 	aim_addtlvtochain16(&tl, 0x0017, 0x0005); /* major version */
@@ -179,6 +186,6 @@
 	aim_addtlvtochain16(&tl, 0x001a, 0x0e3a); /* build */
 	aim_addtlvtochain32(&tl, 0x0014, 0x00000055); /* distribution chan */
-	aim_addtlvtochain_raw(&tl, 0x000f, strlen(lang), (guint8 *)lang);
-	aim_addtlvtochain_raw(&tl, 0x000e, strlen(country), (guint8 *)country);
+	aim_addtlvtochain_raw(&tl, 0x000f, strlen(lang), (guint8 *) lang);
+	aim_addtlvtochain_raw(&tl, 0x000e, strlen(country), (guint8 *) country);
 
 	aim_writetlvchain(&fr->data, &tl);
@@ -194,5 +201,5 @@
 /*
  * send_login(int socket, char *sn, char *password)
- *  
+ *
  * This is the initial login request packet.
  *
@@ -249,5 +256,5 @@
  *   build  = 0x0013
  *   unknown= (not sent)
- *   
+ *
  * AIM for Linux 1.1.112:
  *   clientstring = "AOL Instant Messenger (SM)"
@@ -261,5 +268,6 @@
  *
  */
-int aim_send_login(aim_session_t *sess, aim_conn_t *conn, const char *sn, const char *password, struct client_info_s *ci, const char *key)
+int aim_send_login(aim_session_t *sess, aim_conn_t *conn, const char *sn, const char *password,
+                   struct client_info_s *ci, const char *key)
 {
 	aim_frame_t *fr;
@@ -268,6 +276,7 @@
 	aim_snacid_t snacid;
 
-	if (!ci || !sn || !password)
+	if (!ci || !sn || !password) {
 		return -EINVAL;
+	}
 
 	/*
@@ -276,15 +285,17 @@
 	 *
 	 */
-	if (sess->flags & AIM_SESS_FLAGS_XORLOGIN)
+	if (sess->flags & AIM_SESS_FLAGS_XORLOGIN) {
 		return goddamnicq2(sess, conn, sn, password);
-
-
-	if (!(fr = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, 1152)))
+	}
+
+
+	if (!(fr = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, 1152))) {
 		return -ENOMEM;
+	}
 
 	snacid = aim_cachesnac(sess, 0x0017, 0x0002, 0x0000, NULL, 0);
 	aim_putsnac(&fr->data, 0x0017, 0x0002, 0x0000, snacid);
 
-	aim_addtlvtochain_raw(&tl, 0x0001, strlen(sn), (guint8 *)sn);
+	aim_addtlvtochain_raw(&tl, 0x0001, strlen(sn), (guint8 *) sn);
 
 	aim_encode_password_md5(password, key, digest);
@@ -295,13 +306,14 @@
 	 */
 
-	if (ci->clientstring)
-		aim_addtlvtochain_raw(&tl, 0x0003, strlen(ci->clientstring), (guint8 *)ci->clientstring);
-	aim_addtlvtochain16(&tl, 0x0016, (guint16)ci->clientid);
-	aim_addtlvtochain16(&tl, 0x0017, (guint16)ci->major);
-	aim_addtlvtochain16(&tl, 0x0018, (guint16)ci->minor);
-	aim_addtlvtochain16(&tl, 0x0019, (guint16)ci->point);
-	aim_addtlvtochain16(&tl, 0x001a, (guint16)ci->build);
-	aim_addtlvtochain_raw(&tl, 0x000e, strlen(ci->country), (guint8 *)ci->country);
-	aim_addtlvtochain_raw(&tl, 0x000f, strlen(ci->lang), (guint8 *)ci->lang);
+	if (ci->clientstring) {
+		aim_addtlvtochain_raw(&tl, 0x0003, strlen(ci->clientstring), (guint8 *) ci->clientstring);
+	}
+	aim_addtlvtochain16(&tl, 0x0016, (guint16) ci->clientid);
+	aim_addtlvtochain16(&tl, 0x0017, (guint16) ci->major);
+	aim_addtlvtochain16(&tl, 0x0018, (guint16) ci->minor);
+	aim_addtlvtochain16(&tl, 0x0019, (guint16) ci->point);
+	aim_addtlvtochain16(&tl, 0x001a, (guint16) ci->build);
+	aim_addtlvtochain_raw(&tl, 0x000e, strlen(ci->country), (guint8 *) ci->country);
+	aim_addtlvtochain_raw(&tl, 0x000f, strlen(ci->lang), (guint8 *) ci->lang);
 
 	/*
@@ -314,5 +326,5 @@
 
 	aim_freetlvchain(&tl);
-	
+
 	aim_tx_enqueue(sess, fr);
 
@@ -324,9 +336,9 @@
 	md5_state_t state;
 
-	md5_init(&state);	
-	md5_append(&state, (const md5_byte_t *)key, strlen(key));
-	md5_append(&state, (const md5_byte_t *)password, strlen(password));
-	md5_append(&state, (const md5_byte_t *)AIM_MD5_STRING, strlen(AIM_MD5_STRING));
-	md5_finish(&state, (md5_byte_t *)digest);
+	md5_init(&state);
+	md5_append(&state, (const md5_byte_t *) key, strlen(key));
+	md5_append(&state, (const md5_byte_t *) password, strlen(password));
+	md5_append(&state, (const md5_byte_t *) AIM_MD5_STRING, strlen(AIM_MD5_STRING));
+	md5_finish(&state, (md5_byte_t *) digest);
 
 	return 0;
@@ -345,5 +357,5 @@
  *
  * The encoding_table seems to be a fixed set of values.  We'll
- * hope it doesn't change over time!  
+ * hope it doesn't change over time!
  *
  * This is only used for the XOR method, not the better MD5 method.
@@ -353,5 +365,5 @@
 {
 	guint8 encoding_table[] = {
-	/* v2.1 table, also works for ICQ */
+		/* v2.1 table, also works for ICQ */
 		0xf3, 0x26, 0x81, 0xc4,
 		0x39, 0x86, 0xdb, 0x92,
@@ -361,6 +373,7 @@
 	int i;
 
-	for (i = 0; i < strlen(password); i++)
+	for (i = 0; i < strlen(password); i++) {
 		encoded[i] = (password[i] ^ encoding_table[i]);
+	}
 
 	return 0;
@@ -370,5 +383,5 @@
  * This is sent back as a general response to the login command.
  * It can be either an error or a success, depending on the
- * precense of certain TLVs.  
+ * precense of certain TLVs.
  *
  * The client should check the value passed as errorcode. If
@@ -404,14 +417,17 @@
 	 * have an error url.
 	 */
-	if (aim_gettlv(tlvlist, 0x0008, 1)) 
+	if (aim_gettlv(tlvlist, 0x0008, 1)) {
 		info.errorcode = aim_gettlv16(tlvlist, 0x0008, 1);
-	if (aim_gettlv(tlvlist, 0x0004, 1))
+	}
+	if (aim_gettlv(tlvlist, 0x0004, 1)) {
 		info.errorurl = aim_gettlv_str(tlvlist, 0x0004, 1);
+	}
 
 	/*
 	 * BOS server address.
 	 */
-	if (aim_gettlv(tlvlist, 0x0005, 1))
+	if (aim_gettlv(tlvlist, 0x0005, 1)) {
 		info.bosip = aim_gettlv_str(tlvlist, 0x0005, 1);
+	}
 
 	/*
@@ -430,6 +446,7 @@
 	 *   Not available for ICQ logins.
 	 */
-	if (aim_gettlv(tlvlist, 0x0011, 1))
+	if (aim_gettlv(tlvlist, 0x0011, 1)) {
 		info.email = aim_gettlv_str(tlvlist, 0x0011, 1);
+	}
 
 	/*
@@ -445,32 +462,44 @@
 	 *
 	 */
-	if (aim_gettlv(tlvlist, 0x0013, 1))
+	if (aim_gettlv(tlvlist, 0x0013, 1)) {
 		info.regstatus = aim_gettlv16(tlvlist, 0x0013, 1);
-
-	if (aim_gettlv(tlvlist, 0x0040, 1))
+	}
+
+	if (aim_gettlv(tlvlist, 0x0040, 1)) {
 		info.latestbeta.build = aim_gettlv32(tlvlist, 0x0040, 1);
-	if (aim_gettlv(tlvlist, 0x0041, 1))
+	}
+	if (aim_gettlv(tlvlist, 0x0041, 1)) {
 		info.latestbeta.url = aim_gettlv_str(tlvlist, 0x0041, 1);
-	if (aim_gettlv(tlvlist, 0x0042, 1))
+	}
+	if (aim_gettlv(tlvlist, 0x0042, 1)) {
 		info.latestbeta.info = aim_gettlv_str(tlvlist, 0x0042, 1);
-	if (aim_gettlv(tlvlist, 0x0043, 1))
+	}
+	if (aim_gettlv(tlvlist, 0x0043, 1)) {
 		info.latestbeta.name = aim_gettlv_str(tlvlist, 0x0043, 1);
-	if (aim_gettlv(tlvlist, 0x0048, 1))
+	}
+	if (aim_gettlv(tlvlist, 0x0048, 1)) {
 		; /* no idea what this is */
 
-	if (aim_gettlv(tlvlist, 0x0044, 1))
+	}
+	if (aim_gettlv(tlvlist, 0x0044, 1)) {
 		info.latestrelease.build = aim_gettlv32(tlvlist, 0x0044, 1);
-	if (aim_gettlv(tlvlist, 0x0045, 1))
+	}
+	if (aim_gettlv(tlvlist, 0x0045, 1)) {
 		info.latestrelease.url = aim_gettlv_str(tlvlist, 0x0045, 1);
-	if (aim_gettlv(tlvlist, 0x0046, 1))
+	}
+	if (aim_gettlv(tlvlist, 0x0046, 1)) {
 		info.latestrelease.info = aim_gettlv_str(tlvlist, 0x0046, 1);
-	if (aim_gettlv(tlvlist, 0x0047, 1))
+	}
+	if (aim_gettlv(tlvlist, 0x0047, 1)) {
 		info.latestrelease.name = aim_gettlv_str(tlvlist, 0x0047, 1);
-	if (aim_gettlv(tlvlist, 0x0049, 1))
+	}
+	if (aim_gettlv(tlvlist, 0x0049, 1)) {
 		; /* no idea what this is */
 
 
-	if ((userfunc = aim_callhandler(sess, rx->conn, snac ? snac->family : 0x0017, snac ? snac->subtype : 0x0003)))
+	}
+	if ((userfunc = aim_callhandler(sess, rx->conn, snac ? snac->family : 0x0017, snac ? snac->subtype : 0x0003))) {
 		ret = userfunc(sess, rx, &info);
+	}
 
 	g_free(info.sn);
@@ -506,8 +535,9 @@
 	keystr = aimbs_getstr(bs, keylen);
 
-	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype)))
+	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype))) {
 		ret = userfunc(sess, rx, keystr);
-
-	g_free(keystr); 
+	}
+
+	g_free(keystr);
 
 	return ret;
@@ -517,8 +547,9 @@
 {
 
-	if (snac->subtype == 0x0003)
+	if (snac->subtype == 0x0003) {
 		return parse(sess, mod, rx, snac, bs);
-	else if (snac->subtype == 0x0007)
+	} else if (snac->subtype == 0x0007) {
 		return keyparse(sess, mod, rx, snac, bs);
+	}
 
 	return 0;
Index: protocols/oscar/bos.c
===================================================================
--- protocols/oscar/bos.c	(revision 8519f457c31139750b9f7497834ac90a57196d22)
+++ protocols/oscar/bos.c	(revision 75ad761cc229568e799659d6c6a623c4bc837ba4)
@@ -16,6 +16,6 @@
 	int ret = 0;
 
-	/* 
-	 * TLVs follow 
+	/*
+	 * TLVs follow
 	 */
 	tlvlist = aim_readtlvchain(bs);
@@ -24,22 +24,25 @@
 	 * TLV type 0x0001: Maximum number of buddies on permit list.
 	 */
-	if (aim_gettlv(tlvlist, 0x0001, 1))
+	if (aim_gettlv(tlvlist, 0x0001, 1)) {
 		maxpermits = aim_gettlv16(tlvlist, 0x0001, 1);
+	}
 
 	/*
 	 * TLV type 0x0002: Maximum number of buddies on deny list.
 	 */
-	if (aim_gettlv(tlvlist, 0x0002, 1)) 
+	if (aim_gettlv(tlvlist, 0x0002, 1)) {
 		maxdenies = aim_gettlv16(tlvlist, 0x0002, 1);
+	}
 
-	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype)))
+	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype))) {
 		ret = userfunc(sess, rx, maxpermits, maxdenies);
+	}
 
 	aim_freetlvchain(&tlvlist);
 
-	return ret;  
+	return ret;
 }
 
-/* 
+/*
  * Set group permisson mask (group 9, type 4)
  *
@@ -59,6 +62,7 @@
 {
 
-	if (snac->subtype == 0x0003)
+	if (snac->subtype == 0x0003) {
 		return rights(sess, mod, rx, snac, bs);
+	}
 
 	return 0;
Index: protocols/oscar/buddylist.c
===================================================================
--- protocols/oscar/buddylist.c	(revision 8519f457c31139750b9f7497834ac90a57196d22)
+++ protocols/oscar/buddylist.c	(revision 75ad761cc229568e799659d6c6a623c4bc837ba4)
@@ -18,6 +18,7 @@
 	aim_extractuserinfo(sess, bs, &userinfo);
 
-	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype)))
+	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype))) {
 		return userfunc(sess, rx, &userinfo);
+	}
 
 	return 0;
@@ -31,6 +32,6 @@
 	int ret = 0;
 
-	/* 
-	 * TLVs follow 
+	/*
+	 * TLVs follow
 	 */
 	tlvlist = aim_readtlvchain(bs);
@@ -39,6 +40,7 @@
 	 * TLV type 0x0001: Maximum number of buddies.
 	 */
-	if (aim_gettlv(tlvlist, 0x0001, 1))
+	if (aim_gettlv(tlvlist, 0x0001, 1)) {
 		maxbuddies = aim_gettlv16(tlvlist, 0x0001, 1);
+	}
 
 	/*
@@ -48,8 +50,9 @@
 	 * list.  (This is called the "reverse list" by a certain
 	 * other IM protocol.)
-	 * 
+	 *
 	 */
-	if (aim_gettlv(tlvlist, 0x0002, 1))
+	if (aim_gettlv(tlvlist, 0x0002, 1)) {
 		maxwatchers = aim_gettlv16(tlvlist, 0x0002, 1);
+	}
 
 	/*
@@ -59,10 +62,11 @@
 	 */
 
-	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype)))
+	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype))) {
 		ret = userfunc(sess, rx, maxbuddies, maxwatchers);
+	}
 
 	aim_freetlvchain(&tlvlist);
 
-	return ret;  
+	return ret;
 }
 
@@ -70,8 +74,9 @@
 {
 
-	if (snac->subtype == 0x0003)
+	if (snac->subtype == 0x0003) {
 		return rights(sess, mod, rx, snac, bs);
-	else if ((snac->subtype == 0x000b) || (snac->subtype == 0x000c))
+	} else if ((snac->subtype == 0x000b) || (snac->subtype == 0x000c)) {
 		return buddychange(sess, mod, rx, snac, bs);
+	}
 
 	return 0;
Index: protocols/oscar/chat.c
===================================================================
--- protocols/oscar/chat.c	(revision 8519f457c31139750b9f7497834ac90a57196d22)
+++ protocols/oscar/chat.c	(revision 75ad761cc229568e799659d6c6a623c4bc837ba4)
@@ -6,5 +6,5 @@
  */
 
-#include <aim.h> 
+#include <aim.h>
 #include <glib.h>
 #include "info.h"
@@ -19,8 +19,9 @@
 void aim_conn_kill_chat(aim_session_t *sess, aim_conn_t *conn)
 {
-	struct chatconnpriv *ccp = (struct chatconnpriv *)conn->priv;
-
-	if (ccp)
+	struct chatconnpriv *ccp = (struct chatconnpriv *) conn->priv;
+
+	if (ccp) {
 		g_free(ccp->name);
+	}
 	g_free(ccp);
 
@@ -38,8 +39,8 @@
  *                                 and displays the message as normal.)
  *
- * XXX convert this to use tlvchains 
+ * XXX convert this to use tlvchains
  */
 int aim_chat_send_im(aim_session_t *sess, aim_conn_t *conn, guint16 flags, const char *msg, int msglen)
-{   
+{
 	int i;
 	aim_frame_t *fr;
@@ -49,9 +50,11 @@
 	aim_tlvlist_t *otl = NULL, *itl = NULL;
 
-	if (!sess || !conn || !msg || (msglen <= 0))
+	if (!sess || !conn || !msg || (msglen <= 0)) {
 		return 0;
-
-	if (!(fr = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, 1152)))
+	}
+
+	if (!(fr = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, 1152))) {
 		return -ENOMEM;
+	}
 
 	snacid = aim_cachesnac(sess, 0x000e, 0x0005, 0x0000, NULL, 0);
@@ -59,5 +62,5 @@
 
 
-	/* 
+	/*
 	 * Generate a random message cookie.
 	 *
@@ -66,7 +69,8 @@
 	 *
 	 */
-	for (i = 0; i < sizeof(ckstr); i++)
-		(void) aimutil_put8(ckstr+i, (guint8) rand());
-	
+	for (i = 0; i < sizeof(ckstr); i++) {
+		(void) aimutil_put8(ckstr + i, (guint8) rand());
+	}
+
 
 	cookie = aim_mkcookie(ckstr, AIM_COOKIETYPE_CHAT, NULL);
@@ -75,10 +79,11 @@
 	aim_cachecookie(sess, cookie);
 
-	for (i = 0; i < sizeof(ckstr); i++)
+	for (i = 0; i < sizeof(ckstr); i++) {
 		aimbs_put8(&fr->data, ckstr[i]);
-
-
-	/*
-	 * Channel ID. 
+	}
+
+
+	/*
+	 * Channel ID.
 	 */
 	aimbs_put16(&fr->data, 0x0003);
@@ -93,13 +98,15 @@
 	 * Type 6: Reflect
 	 */
-	if (!(flags & AIM_CHATFLAGS_NOREFLECT))
+	if (!(flags & AIM_CHATFLAGS_NOREFLECT)) {
 		aim_addtlvtochain_noval(&otl, 0x0006);
+	}
 
 	/*
 	 * Type 7: Autoresponse
 	 */
-	if (flags & AIM_CHATFLAGS_AWAY)
+	if (flags & AIM_CHATFLAGS_AWAY) {
 		aim_addtlvtochain_noval(&otl, 0x0007);
-	
+	}
+
 	/* [WvG] This wasn't there originally, but we really should send
 	         the right charset flags, as we also do with normal
@@ -107,17 +114,17 @@
 	/*
 	if (flags & AIM_CHATFLAGS_UNICODE)
-		aimbs_put16(&fr->data, 0x0002);
+	        aimbs_put16(&fr->data, 0x0002);
 	else if (flags & AIM_CHATFLAGS_ISO_8859_1)
-		aimbs_put16(&fr->data, 0x0003);
+	        aimbs_put16(&fr->data, 0x0003);
 	else
-		aimbs_put16(&fr->data, 0x0000);
-	
+	        aimbs_put16(&fr->data, 0x0000);
+
 	aimbs_put16(&fr->data, 0x0000);
 	*/
-	
+
 	/*
 	 * SubTLV: Type 1: Message
 	 */
-	aim_addtlvtochain_raw(&itl, 0x0001, strlen(msg), (guint8 *)msg);
+	aim_addtlvtochain_raw(&itl, 0x0001, strlen(msg), (guint8 *) msg);
 
 	/*
@@ -125,14 +132,14 @@
 	 *
 	 * This could include other information... We just
-	 * put in a message TLV however.  
-	 * 
+	 * put in a message TLV however.
+	 *
 	 */
 	aim_addtlvtochain_frozentlvlist(&otl, 0x0005, &itl);
 
 	aim_writetlvchain(&fr->data, &otl);
-	
+
 	aim_freetlvchain(&itl);
 	aim_freetlvchain(&otl);
-	
+
 	aim_tx_enqueue(sess, fr);
 
@@ -141,7 +148,7 @@
 
 /*
- * Join a room of name roomname.  This is the first step to joining an 
- * already created room.  It's basically a Service Request for 
- * family 0x000e, with a little added on to specify the exchange and room 
+ * Join a room of name roomname.  This is the first step to joining an
+ * already created room.  It's basically a Service Request for
+ * family 0x000e, with a little added on to specify the exchange and room
  * name.
  */
@@ -152,10 +159,12 @@
 	aim_tlvlist_t *tl = NULL;
 	struct chatsnacinfo csi;
-	
-	if (!sess || !conn || !roomname || !strlen(roomname))
+
+	if (!sess || !conn || !roomname || !strlen(roomname)) {
 		return -EINVAL;
-
-	if (!(fr = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, 512)))
+	}
+
+	if (!(fr = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, 512))) {
 		return -ENOMEM;
+	}
 
 	memset(&csi, 0, sizeof(csi));
@@ -178,5 +187,5 @@
 	aim_tx_enqueue(sess, fr);
 
-	return 0; 
+	return 0;
 }
 
@@ -185,6 +194,7 @@
 	int namelen;
 
-	if (!bs || !outinfo)
+	if (!bs || !outinfo) {
 		return 0;
+	}
 
 	outinfo->exchange = aimbs_get16(bs);
@@ -199,5 +209,6 @@
  * conn must be a BOS connection!
  */
-int aim_chat_invite(aim_session_t *sess, aim_conn_t *conn, const char *sn, const char *msg, guint16 exchange, const char *roomname, guint16 instance)
+int aim_chat_invite(aim_session_t *sess, aim_conn_t *conn, const char *sn, const char *msg, guint16 exchange,
+                    const char *roomname, guint16 instance)
 {
 	int i;
@@ -211,15 +222,20 @@
 	int hdrlen;
 	aim_bstream_t hdrbs;
-	
-	if (!sess || !conn || !sn || !msg || !roomname)
+
+	if (!sess || !conn || !sn || !msg || !roomname) {
 		return -EINVAL;
-
-	if (conn->type != AIM_CONN_TYPE_BOS)
+	}
+
+	if (conn->type != AIM_CONN_TYPE_BOS) {
 		return -EINVAL;
-
-	if (!(fr = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, 1152+strlen(sn)+strlen(roomname)+strlen(msg))))
+	}
+
+	if (!(fr =
+	              aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, 1152 + strlen(sn) + strlen(roomname) +
+	                         strlen(msg)))) {
 		return -ENOMEM;
-
-	snacid = aim_cachesnac(sess, 0x0004, 0x0006, 0x0000, sn, strlen(sn)+1);
+	}
+
+	snacid = aim_cachesnac(sess, 0x0004, 0x0006, 0x0000, sn, strlen(sn) + 1);
 	aim_putsnac(&fr->data, 0x0004, 0x0006, 0x0000, snacid);
 
@@ -228,6 +244,7 @@
 	 * Cookie
 	 */
-	for (i = 0; i < sizeof(ckstr); i++)
+	for (i = 0; i < sizeof(ckstr); i++) {
 		(void) aimutil_put8(ckstr, (guint8) rand());
+	}
 
 	/* XXX should be uncached by an unwritten 'invite accept' handler */
@@ -239,11 +256,13 @@
 	}
 
-	if ((cookie = aim_mkcookie(ckstr, AIM_COOKIETYPE_INVITE, priv)))
+	if ((cookie = aim_mkcookie(ckstr, AIM_COOKIETYPE_INVITE, priv))) {
 		aim_cachecookie(sess, cookie);
-	else
+	} else {
 		g_free(priv);
-
-	for (i = 0; i < sizeof(ckstr); i++)
+	}
+
+	for (i = 0; i < sizeof(ckstr); i++) {
 		aimbs_put8(&fr->data, ckstr[i]);
+	}
 
 
@@ -257,5 +276,5 @@
 	 */
 	aimbs_put8(&fr->data, strlen(sn));
-	aimbs_putraw(&fr->data, (guint8 *)sn, strlen(sn));
+	aimbs_putraw(&fr->data, (guint8 *) sn, strlen(sn));
 
 	/*
@@ -266,11 +285,11 @@
 	 * Sigh.  AOL was rather inconsistent right here.  So we have
 	 * to play some minor tricks.  Right inside the type 5 is some
-	 * raw data, followed by a series of TLVs.  
-	 *
-	 */
-	hdrlen = 2+8+16+6+4+4+strlen(msg)+4+2+1+strlen(roomname)+2;
+	 * raw data, followed by a series of TLVs.
+	 *
+	 */
+	hdrlen = 2 + 8 + 16 + 6 + 4 + 4 + strlen(msg) + 4 + 2 + 1 + strlen(roomname) + 2;
 	hdr = g_malloc(hdrlen);
 	aim_bstream_init(&hdrbs, hdr, hdrlen);
-	
+
 	aimbs_put16(&hdrbs, 0x0000); /* Unknown! */
 	aimbs_putraw(&hdrbs, ckstr, sizeof(ckstr)); /* I think... */
@@ -279,8 +298,8 @@
 	aim_addtlvtochain16(&itl, 0x000a, 0x0001);
 	aim_addtlvtochain_noval(&itl, 0x000f);
-	aim_addtlvtochain_raw(&itl, 0x000c, strlen(msg), (guint8 *)msg);
+	aim_addtlvtochain_raw(&itl, 0x000c, strlen(msg), (guint8 *) msg);
 	aim_addtlvtochain_chatroom(&itl, 0x2711, exchange, roomname, instance);
 	aim_writetlvchain(&hdrbs, &itl);
-	
+
 	aim_addtlvtochain_raw(&otl, 0x0005, aim_bstream_curpos(&hdrbs), hdr);
 
@@ -290,5 +309,5 @@
 	aim_freetlvchain(&itl);
 	aim_freetlvchain(&otl);
-	
+
 	aim_tx_enqueue(sess, fr);
 
@@ -334,5 +353,5 @@
 	/*
 	 * Everything else are TLVs.
-	 */ 
+	 */
 	tlvlist = aim_readtlvchain(bs);
 
@@ -340,17 +359,19 @@
 	 * TLV type 0x006a is the room name in Human Readable Form.
 	 */
-	if (aim_gettlv(tlvlist, 0x006a, 1))
+	if (aim_gettlv(tlvlist, 0x006a, 1)) {
 		roomname = aim_gettlv_str(tlvlist, 0x006a, 1);
+	}
 
 	/*
 	 * Type 0x006f: Number of occupants.
 	 */
-	if (aim_gettlv(tlvlist, 0x006f, 1))
+	if (aim_gettlv(tlvlist, 0x006f, 1)) {
 		usercount = aim_gettlv16(tlvlist, 0x006f, 1);
+	}
 
 	/*
 	 * Type 0x0073:  Occupant list.
 	 */
-	if (aim_gettlv(tlvlist, 0x0073, 1)) {	
+	if (aim_gettlv(tlvlist, 0x0073, 1)) {
 		int curoccupant = 0;
 		aim_tlv_t *tmptlv;
@@ -364,49 +385,57 @@
 		aim_bstream_init(&occbs, tmptlv->value, tmptlv->length);
 
-		while (curoccupant < usercount)
+		while (curoccupant < usercount) {
 			aim_extractuserinfo(sess, &occbs, &userinfo[curoccupant++]);
-	}
-
-	/* 
+		}
+	}
+
+	/*
 	 * Type 0x00c9: Flags. (AIM_CHATROOM_FLAG)
 	 */
-	if (aim_gettlv(tlvlist, 0x00c9, 1))
+	if (aim_gettlv(tlvlist, 0x00c9, 1)) {
 		flags = aim_gettlv16(tlvlist, 0x00c9, 1);
-
-	/* 
+	}
+
+	/*
 	 * Type 0x00ca: Creation time (4 bytes)
 	 */
-	if (aim_gettlv(tlvlist, 0x00ca, 1))
+	if (aim_gettlv(tlvlist, 0x00ca, 1)) {
 		creationtime = aim_gettlv32(tlvlist, 0x00ca, 1);
-
-	/* 
+	}
+
+	/*
 	 * Type 0x00d1: Maximum Message Length
 	 */
-	if (aim_gettlv(tlvlist, 0x00d1, 1))
+	if (aim_gettlv(tlvlist, 0x00d1, 1)) {
 		maxmsglen = aim_gettlv16(tlvlist, 0x00d1, 1);
-
-	/* 
+	}
+
+	/*
 	 * Type 0x00d2: Unknown. (2 bytes)
 	 */
-	if (aim_gettlv(tlvlist, 0x00d2, 1))
+	if (aim_gettlv(tlvlist, 0x00d2, 1)) {
 		unknown_d2 = aim_gettlv16(tlvlist, 0x00d2, 1);
-
-	/* 
+	}
+
+	/*
 	 * Type 0x00d3: Room Description
 	 */
-	if (aim_gettlv(tlvlist, 0x00d3, 1))
+	if (aim_gettlv(tlvlist, 0x00d3, 1)) {
 		roomdesc = aim_gettlv_str(tlvlist, 0x00d3, 1);
+	}
 
 	/*
 	 * Type 0x000d4: Unknown (flag only)
 	 */
-	if (aim_gettlv(tlvlist, 0x000d4, 1))
+	if (aim_gettlv(tlvlist, 0x000d4, 1)) {
 		;
-
-	/* 
+	}
+
+	/*
 	 * Type 0x00d5: Unknown. (1 byte)
 	 */
-	if (aim_gettlv(tlvlist, 0x00d5, 1))
+	if (aim_gettlv(tlvlist, 0x00d5, 1)) {
 		unknown_d5 = aim_gettlv8(tlvlist, 0x00d5, 1);
+	}
 
 
@@ -414,45 +443,50 @@
 	 * Type 0x00d6: Encoding 1 ("us-ascii")
 	 */
-	if (aim_gettlv(tlvlist, 0x000d6, 1))
+	if (aim_gettlv(tlvlist, 0x000d6, 1)) {
 		;
-	
+	}
+
 	/*
 	 * Type 0x00d7: Language 1 ("en")
 	 */
-	if (aim_gettlv(tlvlist, 0x000d7, 1))
+	if (aim_gettlv(tlvlist, 0x000d7, 1)) {
 		;
+	}
 
 	/*
 	 * Type 0x00d8: Encoding 2 ("us-ascii")
 	 */
-	if (aim_gettlv(tlvlist, 0x000d8, 1))
+	if (aim_gettlv(tlvlist, 0x000d8, 1)) {
 		;
-	
+	}
+
 	/*
 	 * Type 0x00d9: Language 2 ("en")
 	 */
-	if (aim_gettlv(tlvlist, 0x000d9, 1))
+	if (aim_gettlv(tlvlist, 0x000d9, 1)) {
 		;
+	}
 
 	/*
 	 * Type 0x00da: Maximum visible message length
 	 */
-	if (aim_gettlv(tlvlist, 0x000da, 1))
+	if (aim_gettlv(tlvlist, 0x000da, 1)) {
 		maxvisiblemsglen = aim_gettlv16(tlvlist, 0x00da, 1);
+	}
 
 	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype))) {
 		ret = userfunc(sess,
-				rx, 
-				&roominfo,
-				roomname,
-				usercount,
-				userinfo,	
-				roomdesc,
-				flags,
-				creationtime,
-				maxmsglen,
-				unknown_d2,
-				unknown_d5,
-				maxvisiblemsglen);
+		               rx,
+		               &roominfo,
+		               roomname,
+		               usercount,
+		               userinfo,
+		               roomdesc,
+		               flags,
+		               creationtime,
+		               maxmsglen,
+		               unknown_d2,
+		               unknown_d5,
+		               maxvisiblemsglen);
 	}
 
@@ -466,5 +500,6 @@
 }
 
-static int userlistchange(aim_session_t *sess, aim_module_t *mod, aim_frame_t *rx, aim_modsnac_t *snac, aim_bstream_t *bs)
+static int userlistchange(aim_session_t *sess, aim_module_t *mod, aim_frame_t *rx, aim_modsnac_t *snac,
+                          aim_bstream_t *bs)
 {
 	aim_userinfo_t *userinfo = NULL;
@@ -475,9 +510,10 @@
 		curcount++;
 		userinfo = g_realloc(userinfo, curcount * sizeof(aim_userinfo_t));
-		aim_extractuserinfo(sess, bs, &userinfo[curcount-1]);
-	}
-
-	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype)))
+		aim_extractuserinfo(sess, bs, &userinfo[curcount - 1]);
+	}
+
+	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype))) {
 		ret = userfunc(sess, rx, curcount, userinfo);
+	}
 
 	g_free(userinfo);
@@ -487,5 +523,5 @@
 
 /*
- * We could probably include this in the normal ICBM parsing 
+ * We could probably include this in the normal ICBM parsing
  * code as channel 0x0003, however, since only the start
  * would be the same, we might as well do it here.
@@ -507,10 +543,10 @@
  *         message string
  *       possibly others
- *  
+ *
  */
 static int incomingmsg(aim_session_t *sess, aim_module_t *mod, aim_frame_t *rx, aim_modsnac_t *snac, aim_bstream_t *bs)
 {
 	aim_userinfo_t userinfo;
-	aim_rxcallback_t userfunc;	
+	aim_rxcallback_t userfunc;
 	int ret = 0;
 	guint8 *cookie;
@@ -549,5 +585,5 @@
 
 	/*
-	 * Start parsing TLVs right away. 
+	 * Start parsing TLVs right away.
 	 */
 	otl = aim_readtlvchain(bs);
@@ -567,9 +603,10 @@
 
 	/*
-	 * Type 0x0001: If present, it means it was a message to the 
+	 * Type 0x0001: If present, it means it was a message to the
 	 * room (as opposed to a whisper).
 	 */
-	if (aim_gettlv(otl, 0x0001, 1))
+	if (aim_gettlv(otl, 0x0001, 1)) {
 		;
+	}
 
 	/*
@@ -585,15 +622,17 @@
 		itl = aim_readtlvchain(&tbs);
 
-		/* 
+		/*
 		 * Type 0x0001: Message.
-		 */	
-		if (aim_gettlv(itl, 0x0001, 1))
+		 */
+		if (aim_gettlv(itl, 0x0001, 1)) {
 			msg = aim_gettlv_str(itl, 0x0001, 1);
-
-		aim_freetlvchain(&itl); 
-	}
-
-	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype)))
+		}
+
+		aim_freetlvchain(&itl);
+	}
+
+	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype))) {
 		ret = userfunc(sess, rx, &userinfo, msg);
+	}
 
 	g_free(cookie);
@@ -607,10 +646,11 @@
 {
 
-	if (snac->subtype == 0x0002)
+	if (snac->subtype == 0x0002) {
 		return infoupdate(sess, mod, rx, snac, bs);
-	else if ((snac->subtype == 0x0003) || (snac->subtype == 0x0004))
+	} else if ((snac->subtype == 0x0003) || (snac->subtype == 0x0004)) {
 		return userlistchange(sess, mod, rx, snac, bs);
-	else if (snac->subtype == 0x0006)
+	} else if (snac->subtype == 0x0006) {
 		return incomingmsg(sess, mod, rx, snac, bs);
+	}
 
 	return 0;
